<?php
/* ========================================================================
 - [htdocs/setup.php]
 -      セットアップ用フロントコントローラー
 -      Copyright (c) 2006 Yujiro Takahashi
 - ライセンス:
 -      This program is free software; you can redistribute it and/or
 -      modify it under the terms of the GNU General Public License
 -      as published by the Free Software Foundation; either version 2
 -      of the License, or (at your option) any later version.
 -
 -      This program is distributed in the hope that it will be useful,
 -      but WITHOUT ANY WARRANTY; without even the implied warranty of
 -      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 -      GNU General Public License for more details.
 -
 -      You should have received a copy of the GNU General Public License
 -      along with this program; if not, write to the Free Software
 -      Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 - 問い合わせ先：
 -      yujiro@rakuto.net
 -      http://rakuto.net/rktSNS/
 - 更新履歴：
 -      [2006/10/02] Smarty用の定義追加
 -      [2006/09/29] モジュール等の読み込み内容を修正
 -      [2006/09/29] データベースを使用する処理を排除
 -      [2006/09/05] データベースの初期設定を追加
 -      [2006/08/25] 作成
 - ======================================================================== */

/* =-=- モジュール等の読み込み -=-= */
require_once '../sns_config.php';
require_once LIB_DIR.'rkt_db.php';

// ------------------------------------------------
// 実行関数
// 引数         なし
// 戻り値       なし
// ------------------------------------------------
function _main()
{
    // blob.sqlはmysql.sql内に梱包
    $filename = WORK_DIR.'sqls'.DIRECTORY_SEPARATOR.'pgsql.sql';

    /* ファイルの中身を取得 */
    $handle = fopen($filename, 'r');
    if (!is_resource($handle)) {
        return ;
    }
    $query = fread($handle, filesize($filename));
    fclose($handle);

    /* クエリを解析し配列に */
    $querys = RKT_db::explodeQuery($query);

$row = 0;
echo "<pre>";
    foreach ($querys as $sql){
        echo $sql."\r\n(".$row.")\r\n";
        
        
        $row++;
        if ($row >= 5){
            return;
        }
    } // foreach ($querys as $query)
}
_main();    // 実行関数
?>
</pre>